Skip to content

Check access restriction types

Retrieves the list of registered access restriction types. It returns operation policy restriction types (block_type_list) and temporary restriction types (temp_type_list) separately. Unregistered languages are displayed in English. See Authentication > Restriction > Type registration.


Request URL

Production URL https://auth.qpyou.cn/v2/game/block/type/get
Sandbox URL https://sandbox-auth.qpyou.cn/v2/game/block/type/get
HTTP Method POST
Content-Type application/json
Data Format JSON


Request header

Field name Description Type Required
X-Access-Token OAuth 2.0 Access Token for app server authentication
(See OAuth Token issuance)
String Y
ISCRYPT Whether data is encrypted (0 = not encrypted) (always send 0) Integer Y


Request body

Field name Description Type Required
appid App ID String Y
language Language code (default: en)
  • ko (Korean)
  • en (English)
  • ja (Japanese)
  • zh-hans (Simplified Chinese)
  • zh-hant (Traditional Chinese)
  • de (German)
  • fr (French)
  • ru (Russian)
  • es (Spanish)
  • pt (Portuguese)
  • id (Indonesian)
  • th (Thai)
  • vi (Vietnamese)
  • it (Italian)
  • tr (Turkish)
  • ar (Arabic)
String N


Request example

If you need to check popup text for a specific language, send the language code in language. type_name is always Korean, and type_en_name is always English.

{"appid":"com.com2us.hivesdk.normal.freefull.apple.global.ios.universal","language":"ko"}


Response body

Field name Description Type
result_code Response code Details Integer
result_msg Result message String
token_validation JWT validation result (JWT validation error) Object
token_validation.result_code JWT validation result code Integer
token_validation.result_msg JWT validation result message String
data Result data Object
data.block_type_list Operation policy restriction type list Array
data.block_type_list[].block_type Restriction type number Integer
data.block_type_list[].type_status Restriction popup type (O: operation policy restriction) String
data.block_type_list[].type_name Restriction type name (fixed to Korean regardless of requested language) String
data.block_type_list[].type_en_name Restriction type name (fixed to English regardless of requested language) String
data.block_type_list[].reason Restriction reason (returned by language; unregistered languages use English) String
data.temp_type_list Temporary restriction type list Array
data.temp_type_list[].block_type Restriction type number Integer
data.temp_type_list[].type_status Restriction popup type (N: temporary restriction) String
data.temp_type_list[].type_name Restriction type name (fixed to Korean regardless of requested language) String
data.temp_type_list[].type_en_name Restriction type name (fixed to English regardless of requested language) String
data.temp_type_list[].title Temporary restriction popup title (returned by language; unregistered languages use English) String
data.temp_type_list[].reason Temporary restriction popup message (returned by language; unregistered languages use English) String

Response code

Code value Description
0 Success
2499 JWT validation failed (see token_validation)
4000 Invalid parameter
6000 Invalid appid


Response example

Success

If the request succeeds and result_code is 0, both data.block_type_list and data.temp_type_list are returned.

{"result_code":0,"result_msg":"SUCCESS","token_validation":{"result_code":0,"result_msg":"success"},"data":{"block_type_list":[{"block_type":1,"type_status":"O","type_name":"불법 프로그램 이용","type_en_name":"Usage of unauthorized programs","reason":"불법 프로그램 이용"}],"temp_type_list":[{"block_type":25,"type_status":"N","type_name":"임시 접속 제한(게임 데이터 수정)","type_en_name":"Temporary access restriction (game data modified)","title":"게임 이용에 불편을 드려 죄송합니다.","reason":"현재 게임 데이터를 수정하는 중입니다. 빠른 조치를 위해 최선을 다하겠습니다."}]}}

JWT validation failure

{
  "result_code": 2499,
  "result_msg": "JWT validation failed. See token_validation for details.",
  "token_validation": {
    "result_code": 2408,
    "result_msg": "The access token is expired. Please refresh your token."
  }
}
Note

When JWT validation fails, you can check detailed error information in the token_validation field. For details, see JWT validation error codes.